Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 20 Oct 2014, 06:02
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
How to use HP Color LaserJet CP1215?
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 2 [29 Posts]   Goto page: Previous 1, 2
Author Message
rcrsn51


Joined: 05 Sep 2006
Posts: 9195
Location: Stratford, Ontario

PostPosted: Thu 09 Sep 2010, 17:01    Post subject:  

Oops! I didn't read all the way through the list of supported printers! It looks like the foo2xxx package that you already have should support your cp1215.
Back to top
View user's profile Send private message 
MRT42

Joined: 04 Sep 2010
Posts: 27

PostPosted: Thu 09 Sep 2010, 17:10    Post subject:  

Disciple. Is foo2hp not part of the foo2xxx driver package that rcrsn51 suggested? That is what I downloaded and installed along with the install_hp_plugin-2.0.pet and the hp_laserjet_1020.plugin. It looks to me that in the link you sent me Patriot posted the same basic instructions. I'm just thankful I finally got a printer to work.
Back to top
View user's profile Send private message 
MRT42

Joined: 04 Sep 2010
Posts: 27

PostPosted: Thu 09 Sep 2010, 17:12    Post subject:  

Thank you lluamco. I will download it, give it a try and let you know if it works.
Back to top
View user's profile Send private message 
MRT42

Joined: 04 Sep 2010
Posts: 27

PostPosted: Thu 09 Sep 2010, 17:15    Post subject:  

yes the foo2xxx does support the color LJ cp1215 but is the problem most likely in the fact that there is no specific pluggin available that I can find? I tried just using the driver from the foo2xxx package with the CLJ cp3500 plugin but it doesn't work.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9195
Location: Stratford, Ontario

PostPosted: Thu 09 Sep 2010, 17:26    Post subject:  

The foo2xxx package is self-contained. You don't need to install any other plugin stuff.

Did it not set up your printer on its own?
Back to top
View user's profile Send private message 
MRT42

Joined: 04 Sep 2010
Posts: 27

PostPosted: Thu 09 Sep 2010, 18:12    Post subject:  

unfortunately the foo2xxx package did not set up my printer correctly on its own. I just did a clean install again and tried installing only the foo2xxx package and then the driver for the cp1215, but it gives me an error message that the print command was stopped. "/usr/lib/cups/filter/foomatic-rip failed".
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9195
Location: Stratford, Ontario

PostPosted: Thu 09 Sep 2010, 18:29    Post subject:  

MRT42 wrote:
unfortunately the foo2xxx package did not set up my printer correctly on its own. I just did a clean install again and tried installing only the foo2xxx package and then the driver for the cp1215, but it gives me an error message that the print command was stopped. "/usr/lib/cups/filter/foomatic-rip failed".

That's too bad. I did a simulated install (since I don't own the printer) and it looked OK.

Did you try lluamco's version?
Back to top
View user's profile Send private message 
MRT42

Joined: 04 Sep 2010
Posts: 27

PostPosted: Thu 09 Sep 2010, 18:34    Post subject:  

lluamco. I downloaded the foo2zjs-hp-cp1215-i486 from the link you gave me. I did fresh frugal install and installed the package but the driver did not work. It gives me "/usr/lib/cups/filter/foomatic-rip failed"

Its very late in my part of the world and I'm going to bed. If you guys have any more suggestions I will pick this up tomorrow. I really appreciate all the help.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9195
Location: Stratford, Ontario

PostPosted: Thu 09 Sep 2010, 19:09    Post subject:  

Are you starting with a 100% fresh frugal install - no pupsave? Because none of my simulations will generate that error message.

I notice that my local business supply store has this printer OVERPRICED. Hmmm.
Back to top
View user's profile Send private message 
MRT42

Joined: 04 Sep 2010
Posts: 27

PostPosted: Fri 10 Sep 2010, 05:15    Post subject:  

Well, all I can say is THANK YOU. lliamco's foo2zjs-hp-cp1215-i486 package does work for both my hp LJ1020 and my hp CLJ cp1215. When I saw your question about whether or not I am doing a fresh frugal install with NO pupsave I realize I have been reusing a pupsave that I had only made minor changes to and I thought had no other printer drivers added to it.. However, there must have been something that I did that caused a conflict in it. I did a fresh install with and saved a brand new pupsave file and then immediately installed the foo2zjs-hp-cp1215-i486 package and Whala!! both printers print fine. I rebooted and they are still printing fine, so it looks like the problem is finally solved. THANK YOU SO VERY MUCH.

If it means anything to you, your work has just helped a lot of people. I am an American Missionary in Namibia, Africa and I run a school here. We have a bunch of old computers that we are using to teach computers to our students. Our students are mostly very poor and have no opportunity to learn computers. Puppy has helped me get several more computers up and running that we had put on the shelf because they just couldn't handle the load of Ubuntu but they run fine with puppy. Now our students can print their work on those machines. Thank you again.
Back to top
View user's profile Send private message 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Fri 10 Sep 2010, 05:24    Post subject:  

Glad to help!
Congratulations!
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9195
Location: Stratford, Ontario

PostPosted: Fri 10 Sep 2010, 08:08    Post subject:  

That's good news, but there may still be a small problem. I looked at lluamco's PET and it does not appear to have the firmware download mechanism required by your 1020. So the next time you reboot the printer, it may stop working.

Patriot's larger foo2xxx package should handle both printers.
Back to top
View user's profile Send private message 
lluamco

Joined: 16 Mar 2007
Posts: 207
Location: Banyoles, Spain

PostPosted: Fri 10 Sep 2010, 09:20    Post subject:  

rcrsn51 wrote:
there may still be a small problem. I looked at lluamco's PET and it does not appear to have the firmware download mechanism required by your 1020. So the next time you reboot the printer, it may stop working.

If this happens, please try installing also the attached foo2zjs-hotplug-i486 pet. That should correct the problem, I guess.
foo2zjs-hotplug-i486.pet
Description 
pet

 Download 
Filename  foo2zjs-hotplug-i486.pet 
Filesize  2.97 KB 
Downloaded  379 Time(s) 
Back to top
View user's profile Send private message 
jonlowe

Joined: 07 Oct 2008
Posts: 44

PostPosted: Wed 29 Sep 2010, 12:35    Post subject:  

lluamco wrote:
MRT42 wrote:
Is there anything else I can do to try and get the color laserjet cp1215 printing? Thanks again.

You might try installing this foo2zjs-hp-cp1215-i486 package : http://www.datafilehost.com/download-ce28332c.html
Please consider it a test, since I have not been able to check it myself!
I hope that helps.


That worked on my 2600n! Thanks!!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 2 [29 Posts]   Goto page: Previous 1, 2
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0669s ][ Queries: 13 (0.0050s) ][ GZIP on ]